首页 / 浏览问题 / 其他 / 问题详情
yukon数据库在linux下安装问题
ygr
11EXP 2022年07月21日

使用产品:Yukon-1.0-postgres13-CentOS_x64

问题详细描述:1.在执行改安装包install脚本时,提示

是否需要自行建立软链接,libYkGeometry3D.so -> libYkGeometry3D.geo 是否正确.

2.自行建立软链接后,将shared_preload_libraries='citus' 配置在postgresql.conf ,然后 systemctl restart postgresql-13.service重启,执行sql:select yukon_version();不成功

请问是哪里出了问题

2 个回答

您好,根据您的描述和截图信息,请问您自行建立软连接后,重新执行禹贡的install.sh安装成功了吗?

  • 如果重新安装成功后,在执行 select yukon_version() 语句之前,有先在当前数据库中添加禹贡的扩展模块(postgis , postgis_raster , postgis_sfcgal , yukon_geomodelyukon_geogridcoder )吗?
  • 如果没有安装成功,建议检测一下安装的postgreSQL是否有导出环境变量和postgreSQL的安装方式:
    • 如果是安装包安装的话,安装程序会导出 ;
    • 编译安装的话,没有指定安装位置,一般也不需要导出 ;
    • 如果自定义安装的话,是一定要导出的。

如果可以的话,建议您也可以尝试我们提供的 yukon docker 镜像,该镜像所有的环境都是搭建好了的,拉下来就可以直接使用,非常简单。

如果依然不行,建议私信我您的联系方式。

希望可以帮到您。

2,138EXP 2022年07月21日
您好,谢谢解答.

我没有添加扩展模块,尝试添执行postgres=# create extension postgis;

出现问题:错误:  无法加载库 "/usr/pgsql-13/lib/postgis-3.so": /usr/pgsql-13/lib/postgis-3.so: undefined symbol: GEOSSymDifferencePrec

/usr/pgsql-13/lib/postgis-3.so 目录下有该库.
现在可以加载插件了,个人解决方案:先装yukon插件,(提示postgis插件有问题),再装postgis插件替换掉yukon插件中带的postgis-3.so等,再次回到数据库 执行create extension postgis;成功。
ygr
1
11EXP 2022年07月22日
...